Package org.apache.ignite.internal.cache.query.index.sorted.inline.types

## Class SignedBytesInlineIndexKeyType

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.inline.types.NullableInlineIndexKeyType<BytesIndexKey>
  - - org.apache.ignite.internal.cache.query.index.sorted.inline.types.BytesInlineIndexKeyType
    - - org.apache.ignite.internal.cache.query.index.sorted.inline.types.SignedBytesInlineIndexKeyType

All Implemented Interfaces:
  `InlineIndexKeyType`

    public class SignedBytesInlineIndexKeyType
    extends BytesInlineIndexKeyType

Inline index key implementation for inlining byte arrays.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.cache.query.index.sorted.inline.types.NullableInlineIndexKeyType

`CANT_BE_COMPARE, COMPARE_UNSUPPORTED, keySize, VARTYPE_HEADER_SIZE`

### Constructor Summary

Constructors
`SignedBytesInlineIndexKeyType()`
`SignedBytesInlineIndexKeyType​(IndexKeyType type)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.inline.types.BytesInlineIndexKeyType

`compare0, compareBinaryUnsigned, get0, inlineSize0, put0`

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.inline.types.NullableInlineIndexKeyType

`compare, get, inlinedFullValue, inlineSize, inlineSize, inlineSize, isNull, keySize, put, readBytes, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.inline.InlineIndexKeyType

`isComparableTo`

### Constructor Detail

#### SignedBytesInlineIndexKeyType

    public SignedBytesInlineIndexKeyType()

#### SignedBytesInlineIndexKeyType

    public SignedBytesInlineIndexKeyType​(IndexKeyType type)